# （旧）テナントショップ本番環境申請情報 取得

`GET /v1/contracts/examinations/tenants/{id}`

- operationId: `retrieveTenantExaminationInfo`
- tags: テナント申請管理

※ このAPIの使用は現在非推奨です。新しいテナントショップ本番環境申請情報 取得APIをご利用ください。\
`id`で指定したテナントショップの本番環境申請情報を取得します。


## コードサンプル

### cURL

```bash
curl \
    -X GET \
    -H "Authorization:Bearer <Secret API Key>" \
    -H "Tenant-Shop-Id: <Tenant Shop ID>" \
'https://api.test.fincode.jp/v1/contracts/examinations/tenants/{Tenant Shop ID}'
```

### Node.js

```javascript
import fetch from "node-fetch";

const BASE_URL = "https://api.test.fincode.jp";

const API_KEY = "<Secret API Key>";

(async () => {
    const tenantShopId = "<Tenant Shop ID>";

    const endpoint = `${BASE_URL}/v1/contracts/examinations/tenants/${tenantShopId}`;

    const response = await fetch(endpoint, {
        method: "GET",
        headers: {
            Authorization: `Bearer ${API_KEY}`,
            "Tenant-Shop-Id": tenantShopId,
        },
    });
    const examinationInfo = await response.json();

    console.log(examinationInfo);
})();
```

### Go

```go
package main

import (
	"fmt"
	"log"
	"net/http"
)

func main() {

	apiKey := "<Secret API Key>"

	tenantShopID := "<Tenant Shop ID>"

	// リクエストの作成
	req, _ := http.NewRequest("GET", fmt.Sprintf("https://api.test.fincode.jp/v1/contracts/examinations/tenants/%s", tenantShopID), nil)
	req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))
	req.Header.Set("Tenant-Shop-Id", tenantShopID)

	// リクエストの送信
	client := &http.Client{}
	res, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer res.Body.Close()

}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';

$tenantShopId = '<Tenant Shop ID>';

$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/contracts/examinations/tenants/{$tenantShopId}";
$headers = [
    "Authorization: Bearer " . $apiKey,
    "Tenant-Shop-Id: " . $tenantShopId,
];

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint);
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_HTTPGET, true);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);
// curl_setopt($session, CURLOPT_SSL_VERIFYPEER, );
// curl_setopt($session, CURLOPT_SSL_VERIFYHOST, );

$response = curl_exec($session);

if ($response === false) {
    # エラー処理
    echo "cURL Error: " . curl_error($session);
} else {
    # APIからのデータを処理
    var_dump($response);
}

curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'

tenant_shop_id = '<Tenant Shop ID>'

url = f'https://api.test.fincode.jp/v1/contracts/examinations/tenants/{tenant_shop_id}'

# ヘッダーを設定
headers = {
    'Authorization': f'Bearer {api_key}',
    'Tenant-Shop-Id': tenant_shop_id,
}

try:
    response = requests.get(url, headers=headers)

    # レスポンスの処理
    if response.status_code == 200:
        # APIからのデータを処理
        print(f"Success: {response.json()}")
    else:
        # エラーの処理
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    # 通信エラーの処理
    print(f"Request error: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'

API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
    tenant_shop_id = '<Tenant Shop ID>'
    endpoint = "/v1/contracts/examinations/tenants/#{tenant_shop_id}"

    uri = URI.parse(BASE_URL + endpoint)

    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true

    # リクエストの作成
    request = Net::HTTP::Get.new(uri.request_uri)
    request['Authorization'] = "Bearer #{API_KEY}"
    request['Tenant-Shop-Id'] = tenant_shop_id

    # リクエストの送信
    response = http.request(request)

    case response
    when Net::HTTPSuccess
        puts 'SUCCESS'
    else
        puts 'ERROR'
    end

    # レスポンスの表示
    puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `id` | path | ✓ | schema | 指定したテナントショップの本番環境申請情報を取得します。`Tenant-Shop-Id`ヘッダーも併せて指定してください。 |
| `Tenant-Shop-Id` | header | ✓ | schema | <span class="smallText color--red-400">※ プラットフォームのメインショップのみ指定可</span> |

## レスポンス

### 200 リクエストに成功

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  | ショップID（テナント） |
| `platform_id` | platform_id |  |  |
| `shop_type` | ShopType |  |  |
| `status_code` | ContractStatus |  |  |
| `deposit_cycle_master_id` | DepositCycleMasterId |  |  |
| `contract_detail` | ContractDetail |  | 契約情報 |
| `shop_item_detail` | array<ContentInfo> |  | ショップ 取扱商材情報 |
| `contract_bank_account` | ContractBankAccountInfo |  | 銀行口座情報 |
| `contract_input_status` | object |  |  |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

